summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0021list_ruleset_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0021list_ruleset_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0021list_ruleset_015
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0021list_ruleset_0 b/tests/shell/testcases/nft-f/0021list_ruleset_0
new file mode 100755
index 00000000..37729b4f
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0021list_ruleset_0
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Tests use of variables in jump statements
+
+set -e
+
+RULESET="table filter {
+ chain prerouting {
+ type filter hook prerouting priority -50
+ }
+}
+list ruleset
+"
+
+exec $NFT -f - <<< "$RULESET"